Skip to main content
`Ctrl`+`K`

# KSPGCRSetRestart

Sets number of iterations at which `KSPGCR` restarts.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGCRSetRestart(KSP ksp, PetscInt restart)

Not Collective

## Input Parameters

- ksp - the Krylov space context

- restart - integer restart value

## Options Database Key

- -ksp_gcr_restart <restart> - the number of stored vectors to orthogonalize against

## Note

The default value is 30.

## Developer Note

The API could be made uniform for all `KSP` methods that have a restart.

## See Also

KSP: Linear System Solvers, `KSPGCR`, `KSPSetTolerances()`, `KSPGCRGetRestart()`, `KSPGMRESSetRestart()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/gcr.c

## Implementations

KSPGCRSetRestart_GCR() in src/ksp/ksp/impls/gcr/gcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages